Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class BasicOrder

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.BasicOrder

All Implemented Interfaces:
  Constants, Order

Direct Known Subclasses:
  Cls_Filling, Instance_Filling, Integer_Filling, Symbol_Filling

    public abstract class BasicOrder

extends Object
implements Order, Constants

Description of the class

Author:
  William Grosso

Field Summary
`protected ArrayList` | `_elements`
`protected String` | `_name`
`protected int` | `_numberOfElements`
`protected KBQueryUtils` | `_queryUtilsObject`
`protected Slot` | `_slot`
`protected ScatterboxWidget` | `_widget`

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Constructor Summary
`BasicOrder(ScatterboxWidget widget, Slot slot, KBQueryUtils queryUtilsObject)`

Method Summary
`protected void` | `appendList(List mainList, List newValues)`
`protected ArrayList` | `concatenateWithoutDuplicates(Collection collectionOfListsOfClasses)`
`void` | `fillObjectWithIndexedValue(Instance instance, int index)`
`int` | `getIndexForEntry(Instance entry)`
`int` | `getIndexForValue(Object value)`
`String` | `getName()`
`int` | `getSize()`
`Slot` | `getSlot()`
`Object` | `getValueForEntry(Instance entry)`
`Object` | `getValueForIndex(int index)`
`protected abstract Collection` | `getValues()`
`void` | `setName(String name)`
`void` | `setSlot(Slot slot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _elements

    protected ArrayList _elements

### _numberOfElements

    protected int _numberOfElements

### _slot

    protected Slot _slot

### _widget

    protected ScatterboxWidget _widget

### _name

    protected String _name

### _queryUtilsObject

    protected KBQueryUtils _queryUtilsObject

Constructor Detail

### BasicOrder

    public BasicOrder(ScatterboxWidget widget,
                      Slot slot,
                      KBQueryUtils queryUtilsObject)

Method Detail

### appendList

    protected void appendList(List mainList,
                              List newValues)

### concatenateWithoutDuplicates

    protected ArrayList concatenateWithoutDuplicates(Collection collectionOfListsOfClasses)

### fillObjectWithIndexedValue

    public void fillObjectWithIndexedValue(Instance instance,
                                           int index)

  Specified by:
    `fillObjectWithIndexedValue` in interface `Order`

### getIndexForEntry

    public int getIndexForEntry(Instance entry)

  Specified by:
    `getIndexForEntry` in interface `Order`

### getIndexForValue

    public int getIndexForValue(Object value)

  Specified by:
    `getIndexForValue` in interface `Order`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Order`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `Order`

### getSlot

    public Slot getSlot()

  Specified by:
    `getSlot` in interface `Order`

### getValueForEntry

    public Object getValueForEntry(Instance entry)

  Specified by:
    `getValueForEntry` in interface `Order`

### getValueForIndex

    public Object getValueForIndex(int index)

  Specified by:
    `getValueForIndex` in interface `Order`

### getValues

    protected abstract Collection getValues()

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `Order`

### setSlot

    public void setSlot(Slot slot)

  Specified by:
    `setSlot` in interface `Order`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request